DRM_FB_HELPER_RESTOR(9)

NAME
drm_fb_helper_restore_fbdev_mode_unlocked - restore fbdev configuration

SYNOPSIS

bool drm_fb_helper_restore_fbdev_mode_unlocked(struct drm_fb_helper * fb_helper);

ARGUMENTS

fb_helper
    fbcon to restore

DESCRIPTION

This should be called from driver's drm ->lastclose callback when implementing an fbcon on top of kms using this helper. This ensures that the user isn't greeted with a black screen when e.g. X dies.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT